{{ define "main" }}

{{ partial "page-header.html" . }}

{{ $currentPage := . }}

<div id="wrapper" class="w-full flex justify-between mx-auto" data-kind="{{ .Kind }}">

	<main id="main" role="main" class="w-full lg:max-w-4xl flex-auto min-h-screen lg:static lg:max-h-full lg:overflow-visible px-4 sm:px-6 xl:px-8">

		{{- partialCached "search-results" . -}}
		
		<section class="w-full pb-12 {{ if .Params.icon | and .Params.header }}pt-0 -mt-8{{ else }}pt-12{{ end }} print:mt-4">
			
			<header class="pb-4 print:pb-3 border-b">
				{{ with .Params.icon }}
				<span class="inline-block text-6xl mb-8 print:float-left print:mt-2 print:mb-0 print:mr-6 print:text-3xl" aria-hidden="true">{{ . }}</span>
				{{ end }}
				<h1 class="text-gray-900 mb-2">{{ .Title }}</h1>
				{{ with .Params.subtitle }}
				<h2 class="text-lg text-gray-600 pb-6 print:clear-left">{{ . }}</h2>
				{{ end }}
			</header>
			
			<div class="py-8 print:py-4">
				<ul id="sitemap">
					<li class="mb-8">
						<h2 class="text-lg text-gray-600 hover:text-gray-800 underline hover:no-underline print:clear-left mb-6"><a href="{{ .Site.Home.Permalink }}">{{ .Site.Home.Title }}</a></h2>
					</li>
					{{ $currentPage := . }}
					{{ range .Site.Pages.ByWeight }}
					{{ if and (.Params.menu.main) (not (isset .Params.menu.main "parent")) }}
					<li class="mb-8">
						<h2 class="text-lg text-gray-600 hover:text-gray-800 underline hover:no-underline print:clear-left mb-6">
							<a href="{{ .Permalink }}" class="">{{ .Title }}</a>
						</h2>
						<ul>
							{{- range .Pages.ByWeight -}}
							<li>
								<h3 class="page-link | flex items-center border-t border-b">
									{{ with .Page }}
									<a href="{{ .RelPermalink }}" class="min-h-12 h-full flex-grow flex items-center py-3 hover:bg-gray-50 focus:bg-gray-50 active:bg-gray-100">
										<span class="flex-shrink-0 text-base lg:text-lg -mt-1 mr-3 w-5 select-none" aria-hidden="true">{{ with .Params.Icon }}{{ . }}{{ else }}<span class="block text-center text-gray-400">•</span>{{ end }}</span>
										<span class="flex-grow text-sm lg:text-base">{{ .Title }}</span>
										<svg class="flex-shrink-0 text-gray-500 w-5 h-5 ml-3"><use xlink:href="#chevron-right"/></svg>
									</a>
									{{ end }}
								</h3>
							</li>
							{{- end -}}
						</ul>
					</li>
					{{ end }}
					{{ end }}
					{{ with $.Site.GetPage "/contact" }}
					<li class="mb-8">
						<h2 class="text-lg text-gray-600 hover:text-gray-800 underline hover:no-underline print:clear-left mb-6">
							<a href="{{ .Permalink }}">{{ .Title }}</a>
						</h2>
					</li>
					{{ end }}
					{{ with $.Site.GetPage "/footer" }}
					<li class="mb-8">
						<h2 class="text-lg text-gray-600 print:clear-left mb-6">À propos du site</h2>
						<ul>
							{{ with .Params.pages }}
							{{- range . -}}
							{{ if ne .nom $currentPage.Title  }}
							<li>
								<h3 class="page-link | flex items-center border-t border-b">
									{{ with . }}
									<a href="{{ .lien }}" class="min-h-12 h-full flex-grow flex items-center py-3 hover:bg-gray-50 focus:bg-gray-50 active:bg-gray-100">
										<span class="flex-shrink-0 text-base lg:text-lg -mt-1 mr-3 w-5 select-none" aria-hidden="true">{{ with .Params.Icon }}{{ . }}{{ else }}<span class="block text-center text-gray-400">•</span>{{ end }}</span>
										<span class="flex-grow text-sm lg:text-base">{{ .nom }}</span>
										<svg class="flex-shrink-0 text-gray-500 w-5 h-5 ml-3"><use xlink:href="#chevron-right"/></svg>
									</a>
									{{ end }}
								</h3>
							</li>
							{{ end }}
							{{- end -}}
							{{ end }}	
						</ul>
					</li>
					{{ end }}
				</ul>
			</div>

		</section>
	</main>

</div>
{{ end }}